Bug 150187 - Crash in Presentation Styles - Background objects - Modify
Summary: Crash in Presentation Styles - Background objects - Modify
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.5.0.0 alpha0+ Master
Hardware: x86-64 (AMD64) All
: high critical
Assignee: Julien Nabet
URL:
Whiteboard: target:7.5.0 target:7.4.0
Keywords: bibisectNotNeeded, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2022-07-28 16:31 UTC by Regina Henschel
Modified: 2022-07-30 02:24 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
File for testing (12.41 KB, application/vnd.oasis.opendocument.presentation-template)
2022-07-28 16:31 UTC, Regina Henschel
Details
Callstack by VS 2019 (3.11 KB, text/plain)
2022-07-28 16:35 UTC, Regina Henschel
Details
gdb bt (6.12 KB, text/plain)
2022-07-28 17:38 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2022-07-28 16:31:39 UTC
Created attachment 181473 [details]
File for testing

Open attached template for editing.
Go to Presentation Styles. Select 'Background Objects'. Right-click and choose 'Modify' => Crash

I get the crash with my build but with a daily build as well. Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 5df1bb4b1b222be00d25097660c4ee33542896ea
CPU threads: 8; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: de-DE (en_US); UI: en-US
Calc: CL
Comment 1 Regina Henschel 2022-07-28 16:35:31 UTC
Created attachment 181474 [details]
Callstack by VS 2019
Comment 2 Julien Nabet 2022-07-28 17:38:43 UTC
Created attachment 181477 [details]
gdb bt

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 3 Julien Nabet 2022-07-28 17:39:37 UTC
Let's increase priority since:
- it's a crash
- it concerns at least Windows and Linux (and considering the bt, surely macOS too).
Comment 4 Julien Nabet 2022-07-28 17:41:23 UTC
I don't reproduce this with LO Debian package 7.3.5
=> regression
=> let's increase even more priority
Comment 5 Julien Nabet 2022-07-28 18:00:55 UTC
I gave a try with:
https://gerrit.libreoffice.org/c/core/+/137580
Comment 6 Commit Notification 2022-07-29 09:06:14 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/baf433a2f77082b12e111bfd4d60ba372e339be1

tdf#150187: Crash in Presentation Styles - Background objects - Modify

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Julien Nabet 2022-07-29 09:11:03 UTC
Patches waiting:
7.4: https://gerrit.libreoffice.org/c/core/+/137533
7.4.0: https://gerrit.libreoffice.org/c/core/+/137594
Comment 8 Regina Henschel 2022-07-29 17:24:11 UTC
It works now in Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 8fc338f2afb9abb75f9b7c0a2d442f7d4f1b2a40
CPU threads: 8; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: de-DE (en_US); UI: en-US
Calc: threaded

Thank you, Julien.
Comment 9 Julien Nabet 2022-07-29 17:31:10 UTC
(In reply to Regina Henschel from comment #8)
> It works now in Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
> Build ID: 8fc338f2afb9abb75f9b7c0a2d442f7d4f1b2a40
> ...
> Thank you, Julien.

Thank you for your feedback! Let's put this one to VERIFIED then.
Comment 10 Commit Notification 2022-07-30 02:23:35 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/e1d23e8f24c655f5e18592524b099cb150b3e609

tdf#150187: Crash in Presentation Styles - Background objects - Modify

It will be available in 7.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2022-07-30 02:24:43 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-7-4-0":

https://git.libreoffice.org/core/commit/0e2882d3e226118f74d4c9095913861e31829b8e

tdf#150187: Crash in Presentation Styles - Background objects - Modify

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.